local current_zone = nil
local in_zone = nil
local zone_circle = nil
local zone_blip = nil

Citizen.CreateThread(function()
	while true do
		if (current_zone ~= nil) then
			local player = PlayerPedId()
			local player_coords = GetEntityCoords(player)
			local player_distance = GetDistanceBetweenCoords(player_coords.x, player_coords.y, player_coords.z, current_zone.x, current_zone.y, current_zone.z, false)
		
			if (player_distance < current_zone.radius) then
				in_zone = true
			else
				in_zone = false
			end
			if (in_zone == true) then
				-- Do anything you want to here. --
			else
				-- Do anything you want to here. --
			end
		end
		Citizen.Wait(1)
	end
end)

RegisterNetEvent("update_current_zone")
AddEventHandler("update_current_zone", function(new_zone)
	current_zone = new_zone
end)

RegisterNetEvent("draw_zone_circle")
AddEventHandler("draw_zone_circle", function(x, y, z, radius, color)
	RemoveBlip(zone_circle)
	zone_circle = AddBlipForRadius(x, y, z, radius)
	SetBlipSprite(zone_circle, 9)
	SetBlipAlpha(zone_circle, 100)
	SetBlipColour(zone_circle, color)
	
end)

RegisterNetEvent("draw_zone_blip")
AddEventHandler("draw_zone_blip", function(blip_text, blip_id, draw_route)
	RemoveBlip(zone_blip)
	zone_blip = AddBlipForCoord(current_zone.x, current_zone.y, current_zone.z)
	SetBlipSprite(zone_blip, blip_id)
	if (draw_route == true) then
		SetBlipRoute(zone_blip, true)
		SetBlipRouteColour(zone_blip, current_zone.color)
	else
		SetBlipRoute(zone_blip, false)
	end
	BeginTextCommandSetBlipName("STRING")
	AddTextComponentString(blip_text)
	EndTextCommandSetBlipName(zone_blip)
	
end)